[package]
name = "duralumin"
version = "0.1.0"
edition = "2021"

[lib]
name = "libduralumin"
path = "src/lib.rs"

[features]
default = ["passphrase-gen", "ed25519", "clap", "rpassword", "base64"]
ed25519 = ["osshkeys", "sha2"]
passphrase-gen = []

[[bin]]
name = "duralumin"
required-features = ["passphrase-gen", "clap"]

[[bin]]
name = "duralumin-keygen"
required-features = ["ed25519", "clap", "rpassword", "base64"]

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
rand = "0.8.4"
clap = {version = "3.0.0-beta.5", optional = true}
base64 = {version = "0.13.0", optional = true}
bytes = {version = "1.1.0", optional = true}
osshkeys = {path = "../rust-osshkeys", optional = true}
sha2 = {version = "0.9.8", optional = true}
rpassword = {version = "5.0.1", optional = true}